VisualEditor: Empty gallery editor is getting inserted in a page when clicked on close button without adding any content
Closed, ResolvedPublic

Description

screenshot of empty gallery in edit mode

Steps to reproduce:

1.Open a page with VE
2.Go to Insert>Gallery
3.Just close the inspector

Observed Result:
An empty gallery inspector is getting added in the page

See the screenshot attached.

Test Environment: https://test2.wikipedia.org/
Browser: Chrome Version 26.0.1410.65 & FF 25
OS: MAC OS X 10. 8. 5
Page:
https://test2.wikipedia.org/w/index.php?title=31st_january&veaction=edit


Version: unspecified
Severity: normal

Attached:

bzimport set Reference to bz60779.
Ryasmeen created this task.Via LegacyFeb 3 2014, 7:47 PM
Ryasmeen added a comment.Via ConduitFeb 3 2014, 7:47 PM

Created attachment 14456
Screenshot in edit source mode

Attached:

Jdforrester-WMF added a comment.Via ConduitFeb 6 2014, 4:18 AM

Fixed in gerrit 111178.

Jdforrester-WMF added a comment.Via ConduitFeb 6 2014, 6:38 AM
  • Bug 60914 has been marked as a duplicate of this bug. ***
Ryasmeen added a comment.Via ConduitFeb 6 2014, 8:56 PM

Verified the fix in Betalabs

Ryasmeen added a comment.Via ConduitFeb 13 2014, 1:18 AM

Verified the fix on test2

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.